Skip to main content

CreateStakeHolderRequestBody

Request body for creating a new stakeholder

typestringrequired

Type of stakeholder (person or company)

Default value: ##default
Example: person
firstNamestring

First name of the person (required for type=person)

Default value: ##default
Example: John
lastNamestring

Last name of the person (required for type=person)

Default value: ##default
Example: Doe
companyNamestring

Company name (required for type=company)

Default value: ##default
Example: Acme Corporation
sirenstring

SIREN number for company (required for type=company)

Default value: ##default
Example: 123456789
addressstring

Address of the company

Default value: ##default
postalCodestring

Postal code of the company

Default value: ##default
citystring

City of the company

Default value: ##default
externalCodestring

External code of the company

Default value: ##default
contactsDetails object[]

Contact details of the company

  • Array [
  • emailstring

    Email address of the contact (required for type=person/company)

    Default value: ##default
    Example: john.doe@example.com
    phoneNumberstring

    Phone number of the contact (not required)

    Default value: ##default
    Example: 0123456789
    additionalInfosstring

    Additional infos of the contact (not required)

    Default value: ##default
  • ]
  • isActiveboolean

    Contact active status of the company or person

    Default value: false
    faxstring

    Fax of the company

    Default value: ##default
    functionstring

    Function of the person

    Default value: ##default
    CreateStakeHolderRequestBody
    {
    "type": "person",
    "firstName": "John",
    "lastName": "Doe",
    "companyName": "Acme Corporation",
    "siren": "123456789",
    "address": "##default",
    "postalCode": "##default",
    "city": "##default",
    "externalCode": "##default",
    "contactsDetails": [
    {
    "email": "john.doe@example.com",
    "phoneNumber": "0123456789",
    "additionalInfos": "##default"
    }
    ],
    "isActive": false,
    "fax": "##default",
    "function": "##default"
    }